Package org.eclipse.birt.chart.model.component

# Interface Series

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `AreaSeries`, `BarSeries`, `BubbleSeries`, `DialSeries`, `DifferenceSeries`, `GanttSeries`, `LineSeries`, `PieSeries`, `ScatterSeries`, `StockSeries`

All Known Implementing Classes:
  `AreaSeriesImpl`, `BarSeriesImpl`, `BubbleSeriesImpl`, `DialSeriesImpl`, `DifferenceSeriesImpl`, `GanttSeriesImpl`, `LineSeriesImpl`, `PieSeriesImpl`, `ScatterSeriesImpl`, `SeriesImpl`, `StockSeriesImpl`

public interface Series extends IChartObject
A representation of the model object 'Series'. This type defines a single (related) group of data to be plotted in a chart. A series is usually expected to be associated with a numerical axis. The series includes a name, visualization settings, and a query definition used to retrieve the data point values. At designtime, the series data set is null, while at runtime, each series' data set gets populated with the data for that series.

The following features are supported:

- `Visible`
- `Label`
- `Data Definition`
- `Series Identifier`
- `Data Point`
- `Data Sets`
- `Label Position`
- `Stacked`
- `Triggers`
- `Translucent`
- `Curve Fitting`
- `Cursor`

See Also:
  - `ComponentPackage.getSeries()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canBeStacked()`
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written
`boolean`
`canParticipateInCombination()`
This method should return true if the series type can be used in a combination chart.
`boolean`
`canShareAxisUnit()`
Indicates if this series graphic element may share a scale unit with other similar elements.
`Series`
`copyInstance()`
`Cursor`
`getCursor()`
Returns the value of the 'Cursor' containment reference.
`CurveFitting`
`getCurveFitting()`
Returns the value of the 'Curve Fitting' containment reference.
`org.eclipse.emf.common.util.EList<Query>`
`getDataDefinition()`
Returns the value of the 'Data Definition' containment reference list.
`DataPoint`
`getDataPoint()`
Returns the value of the 'Data Point' containment reference.
`DataSet`
`getDataSet()`
Returns the value dataSet.
`DataSet`
`getDataSet(String userkey)`
Returns the user dataSet.
`org.eclipse.emf.common.util.EMap<String,DataSet>`
`getDataSets()`
Returns the value of the 'Data Sets' map.
`int[]`
`getDefinedDataDefinitionIndex()`
Returns the index array of data definitions which must be defined.
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.
`Label`
`getLabel()`
Returns the value of the 'Label' containment reference.
`Position`
`getLabelPosition()`
Returns the value of the 'Label Position' attribute.
`org.eclipse.birt.chart.util.NameSet`
`getLabelPositionScope(ChartDimension dimension)`
Returns supported label positions scope in current series.
`Object`
`getSeriesIdentifier()`
Returns the value of the 'Series Identifier' attribute.
`org.eclipse.emf.common.util.EList<Trigger>`
`getTriggers()`
Returns the value of the 'Triggers' containment reference list.
`boolean`
`isSetLabelPosition()`
Returns whether the value of the '`Label Position`' attribute is set.
`boolean`
`isSetStacked()`
Returns whether the value of the '`Stacked`' attribute is set.
`boolean`
`isSetTranslucent()`
Returns whether the value of the '`Translucent`' attribute is set.
`boolean`
`isSetVisible()`
Returns whether the value of the '`Visible`' attribute is set.
`boolean`
`isSingleCache()`
The method indicates if painting requests of series should be added to a single cache.
`boolean`
`isStacked()`
Returns the value of the 'Stacked' attribute.
`boolean`
`isTranslucent()`
Returns the value of the 'Translucent' attribute.
`boolean`
`isVisible()`
Returns the value of the 'Visible' attribute.
`void`
`setCursor(Cursor value)`
Sets the value of the '`Cursor`' containment reference.
`void`
`setCurveFitting(CurveFitting value)`
Sets the value of the '`Curve Fitting`' containment reference.
`void`
`setDataPoint(DataPoint value)`
Sets the value of the '`Data Point`' containment reference.
`void`
`setDataSet(String userKey, DataSet dataSet)`
Sets the user dataSet.
`void`
`setDataSet(DataSet dataSet)`
Sets the value dataSet.
`void`
`setLabel(Label value)`
Sets the value of the '`Label`' containment reference.
`void`
`setLabelPosition(Position value)`
Sets the value of the '`Label Position`' attribute.
`void`
`setSeriesIdentifier(Object value)`
Sets the value of the '`Series Identifier`' attribute.
`void`
`setStacked(boolean value)`
Sets the value of the '`Stacked`' attribute.
`void`
`setTranslucent(boolean value)`
Sets the value of the '`Translucent`' attribute.
`void`
`setVisible(boolean value)`
Sets the value of the '`Visible`' attribute.
`void`
`translateFrom(Series sourceSeries, int iSeriesDefinitionIndex, Chart chart)`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary.
`void`
`unsetLabelPosition()`
Unsets the value of the '`Label Position`' attribute.
`void`
`unsetStacked()`
Unsets the value of the '`Stacked`' attribute.
`void`
`unsetTranslucent()`
Unsets the value of the '`Translucent`' attribute.
`void`
`unsetVisible()`
Unsets the value of the '`Visible`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### isVisible

boolean isVisible()
Returns the value of the 'Visible' attribute. The default value is `"true"`. Gets visibility of the series. Determines visibility of the series.

Returns:
  the value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `setVisible(boolean)`
  - `ComponentPackage.getSeries_Visible()`

### setVisible

void setVisible(boolean value)
Sets the value of the '`Visible`' attribute. Sets visibility of the series.

Parameters:
  `value` - the new value of the 'Visible' attribute.
See Also:
  - `isSetVisible()`
  - `unsetVisible()`
  - `isVisible()`

### unsetVisible

void unsetVisible()
Unsets the value of the '`Visible`' attribute.

See Also:
  - `isSetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### isSetVisible

boolean isSetVisible()
Returns whether the value of the '`Visible`' attribute is set.

Returns:
  whether the value of the 'Visible' attribute is set.
See Also:
  - `unsetVisible()`
  - `isVisible()`
  - `setVisible(boolean)`

### getLabel

Label getLabel()
Returns the value of the 'Label' containment reference. Holds the properties for the Series data points.

Returns:
  the value of the 'Label' containment reference.
See Also:
  - `setLabel(Label)`
  - `ComponentPackage.getSeries_Label()`

### setLabel

void setLabel(Label value)
Sets the value of the '`Label`' containment reference.

Parameters:
  `value` - the new value of the 'Label' containment reference.
See Also:
  - `getLabel()`

### getDataDefinition

org.eclipse.emf.common.util.EList<Query> getDataDefinition()
Returns the value of the 'Data Definition' containment reference list. The list contents are of type
invalid reference

    org.eclipse.birt.chart.model.data.DataDefinition

. Gets the list of data source definitions for this series. Defines the source of the data for the series. (e.g. Database field which will provide the values for the series).

Returns:
  the value of the 'Data Definition' containment reference list.
See Also:
  - `ComponentPackage.getSeries_DataDefinition()`

### getSeriesIdentifier

Object getSeriesIdentifier()
Returns the value of the 'Series Identifier' attribute. Returns an identifier that represents the seriesKey runtime value which is rendered in the legend (if grouped by series)

Returns:
  the value of the 'Series Identifier' attribute.
See Also:
  - `setSeriesIdentifier(String)`
  - `ComponentPackage.getSeries_SeriesIdentifier()`

### setSeriesIdentifier

void setSeriesIdentifier(Object value)
Sets the value of the '`Series Identifier`' attribute.

Parameters:
  `value` - the new value of the 'Series Identifier' attribute.
See Also:
  - `getSeriesIdentifier()`

### getDataPoint

DataPoint getDataPoint()
Returns the value of the 'Data Point' containment reference. Specifies what (and how) information is shown in the data label.

Returns:
  the value of the 'Data Point' containment reference.
See Also:
  - `setDataPoint(DataPoint)`
  - `ComponentPackage.getSeries_DataPoint()`

### setDataPoint

void setDataPoint(DataPoint value)
Sets the value of the '`Data Point`' containment reference.

Parameters:
  `value` - the new value of the 'Data Point' containment reference.
See Also:
  - `getDataPoint()`

### getDataSets

org.eclipse.emf.common.util.EMap<String,DataSet> getDataSets()
Returns the value of the 'Data Sets' map. The key is of type `String`, and the value is of type `DataSet`, Holds the runtime data for the series.

Returns:
  the value of the 'Data Sets' map.
See Also:
  - `ComponentPackage.getSeries_DataSets()`

### getLabelPosition

Position getLabelPosition()
Returns the value of the 'Label Position' attribute. The default value is `"Above"`. The literals are from the enumeration `Position`. Gets where the data label for the series should be displayed. Specifies where the data label for the series should be displayed.

Returns:
  the value of the 'Label Position' attribute.
See Also:
  - `Position`
  - `isSetLabelPosition()`
  - `unsetLabelPosition()`
  - `setLabelPosition(Position)`
  - `ComponentPackage.getSeries_LabelPosition()`

### setLabelPosition

void setLabelPosition(Position value)
Sets the value of the '`Label Position`' attribute.

Parameters:
  `value` - the new value of the 'Label Position' attribute.
See Also:
  - `Position`
  - `isSetLabelPosition()`
  - `unsetLabelPosition()`
  - `getLabelPosition()`

### unsetLabelPosition

void unsetLabelPosition()
Unsets the value of the '`Label Position`' attribute.

See Also:
  - `isSetLabelPosition()`
  - `getLabelPosition()`
  - `setLabelPosition(Position)`

### isSetLabelPosition

boolean isSetLabelPosition()
Returns whether the value of the '`Label Position`' attribute is set.

Returns:
  whether the value of the 'Label Position' attribute is set.
See Also:
  - `unsetLabelPosition()`
  - `getLabelPosition()`
  - `setLabelPosition(Position)`

### isStacked

boolean isStacked()
Returns the value of the 'Stacked' attribute. Specifies whether the series is to be rendered stacked.

Returns:
  the value of the 'Stacked' attribute.
See Also:
  - `isSetStacked()`
  - `unsetStacked()`
  - `setStacked(boolean)`
  - `ComponentPackage.getSeries_Stacked()`

### setStacked

void setStacked(boolean value)
Sets the value of the '`Stacked`' attribute.

Parameters:
  `value` - the new value of the 'Stacked' attribute.
See Also:
  - `isSetStacked()`
  - `unsetStacked()`
  - `isStacked()`

### unsetStacked

void unsetStacked()
Unsets the value of the '`Stacked`' attribute.

See Also:
  - `isSetStacked()`
  - `isStacked()`
  - `setStacked(boolean)`

### isSetStacked

boolean isSetStacked()
Returns whether the value of the '`Stacked`' attribute is set.

Returns:
  whether the value of the 'Stacked' attribute is set.
See Also:
  - `unsetStacked()`
  - `isStacked()`
  - `setStacked(boolean)`

### getTriggers

org.eclipse.emf.common.util.EList<Trigger> getTriggers()
Returns the value of the 'Triggers' containment reference list. The list contents are of type `Trigger`. Triggers are the elements that define interactivity for chart components. They include the action to be performed as well as parameters that define the details of the action. Holds the triggers for the series.

Returns:
  the value of the 'Triggers' containment reference list.
See Also:
  - `ComponentPackage.getSeries_Triggers()`

### isTranslucent

boolean isTranslucent()
Returns the value of the 'Translucent' attribute. Specifies whether the series elements are to be rendered translucent. This setting is only applicable for elements with solid color fills.

Returns:
  the value of the 'Translucent' attribute.
See Also:
  - `isSetTranslucent()`
  - `unsetTranslucent()`
  - `setTranslucent(boolean)`
  - `ComponentPackage.getSeries_Translucent()`

### setTranslucent

void setTranslucent(boolean value)
Sets the value of the '`Translucent`' attribute.

Parameters:
  `value` - the new value of the 'Translucent' attribute.
See Also:
  - `isSetTranslucent()`
  - `unsetTranslucent()`
  - `isTranslucent()`

### unsetTranslucent

void unsetTranslucent()
Unsets the value of the '`Translucent`' attribute.

See Also:
  - `isSetTranslucent()`
  - `isTranslucent()`
  - `setTranslucent(boolean)`

### isSetTranslucent

boolean isSetTranslucent()
Returns whether the value of the '`Translucent`' attribute is set.

Returns:
  whether the value of the 'Translucent' attribute is set.
See Also:
  - `unsetTranslucent()`
  - `isTranslucent()`
  - `setTranslucent(boolean)`

### getCurveFitting

CurveFitting getCurveFitting()
Returns the value of the 'Curve Fitting' containment reference. Specifies the curve fitting attributes for the series.

Returns:
  the value of the 'Curve Fitting' containment reference.
See Also:
  - `setCurveFitting(CurveFitting)`
  - `ComponentPackage.getSeries_CurveFitting()`

### setCurveFitting

void setCurveFitting(CurveFitting value)
Sets the value of the '`Curve Fitting`' containment reference.

Parameters:
  `value` - the new value of the 'Curve Fitting' containment reference.
See Also:
  - `getCurveFitting()`

### getCursor

Cursor getCursor()
Returns the value of the 'Cursor' containment reference. The element represents cursor for series area.

Returns:
  the value of the 'Cursor' containment reference.
See Also:
  - `setCursor(Cursor)`
  - `ComponentPackage.getSeries_Cursor()`

### setCursor

void setCursor(Cursor value)
Sets the value of the '`Cursor`' containment reference.

Parameters:
  `value` - the new value of the 'Cursor' containment reference.
See Also:
  - `getCursor()`

### canBeStacked

boolean canBeStacked()
Indicates if this series type may be rendered stacked with other series instances of the same type NOTE: Manually written

Returns:
  true means this series can be stacked

### canShareAxisUnit

boolean canShareAxisUnit()
Indicates if this series graphic element may share a scale unit with other similar elements. NOTE: Manually written

Returns:
  true means this series can share scale unit

### canParticipateInCombination

boolean canParticipateInCombination()
This method should return true if the series type can be used in a combination chart. NOTE: Manually written

Returns:
  true means this series can be used in combination chart

### translateFrom

void translateFrom(Series sourceSeries, int iSeriesDefinitionIndex, Chart chart)
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary. This method should be overridden by each series type implementation in particular if the series type can participate in a combination. It will be called when converting from one series type to another. The iSeriesDefinitionIndex value is the index of the series definition among all series definitions at the same level (base or orthogonal) NOTE: Manually written

### getDisplayName

String getDisplayName()
This method should return a user-friendly name for the series type. NOTE: Manually written

Returns:
  display name for the series type

### getLabelPositionScope

org.eclipse.birt.chart.util.NameSet getLabelPositionScope(ChartDimension dimension)
Returns supported label positions scope in current series. Label position set in series must be in one of these types.

Parameters:
  `dimension` - chart dimension
Returns:
  NameSet with supported label positions.

### setDataSet

void setDataSet(DataSet dataSet)
Sets the value dataSet.

Parameters:
  `dataSet` -

### getDataSet

DataSet getDataSet()
Returns the value dataSet.

Returns:
  value data set

### setDataSet

void setDataSet(String userKey, DataSet dataSet)
Sets the user dataSet.

Parameters:
  `userKey` -
  `dataSet` -

### getDataSet

DataSet getDataSet(String userkey)
Returns the user dataSet.

Parameters:
  `userkey` -
Returns:
  user data set

### isSingleCache

boolean isSingleCache()
The method indicates if painting requests of series should be added to a single cache.

Returns:
  `true` if painting requests of series should be added to a single cache. False means creating a new Cache for each series.

### getDefinedDataDefinitionIndex

int[] getDefinedDataDefinitionIndex()
Returns the index array of data definitions which must be defined. For instance, if there are two data definitions in series, and the first one can be not defined, this method will return 1 in integer array; if two of them must be defined, this method will return 0 and 1 in integer array.

Returns:
  index array
Since:
  2.6.1

### copyInstance

Series copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`